Market Data
Get default VN30 spot symbol
Get default VN30 spot symbol
GET
https://api-gw.verolabs.co/api/v1
/
MarketData
/
GetVN30Spot
Get default VN30 spot symbol
curl --request GET \
--url https://api-gw.verolabs.co/api/v1/MarketData/GetVN30Spot{
"isSuccess": true,
"data": {
"symbol": "<string>",
"companyName": "<string>",
"sectorLvl1": "<string>",
"sectorLvl2": "<string>",
"sectorLvl3": "<string>",
"industryName": "<string>",
"logoId": "<string>",
"news": [
"<unknown>"
],
"sentiment": {
"bullish": 123,
"bullishPercent": 123,
"bullishTime": 123,
"bearish": 123,
"bearishPercent": 123,
"bearishTime": 123
},
"info": {
"id": "<string>",
"seq": 123,
"time": 123,
"symbol": "<string>",
"boardID": "<string>",
"nomiPrc": 123,
"ceilPrc": 123,
"floorPrc": 123,
"lsPrc": 123,
"lsVol": 123,
"openPrc": 123,
"closePrc": 123,
"highPrc": 123,
"lowPrc": 123,
"vWAP": 123,
"totVol": 123,
"totVal": 123,
"tradingSession": "<string>",
"openInterest": 123
},
"stat": {
"id": "<string>",
"symbol": "<string>",
"type": "<string>",
"lot": 123,
"minQty": 123,
"maxQty": 123,
"prcStep": 123,
"name": "<string>",
"productGroupID": "<string>",
"tickerCode": "<string>",
"symbolName": "<string>",
"underlyingSymbolCode": "<string>",
"expirationDate": "<string>",
"contractSize": 123
},
"depth": {
"seq": 123,
"time": 123,
"symbol": "<string>",
"boardID": "<string>",
"bidPriceDepth": [
{
"prc": 123,
"vol": 123
}
],
"askPriceDepth": [
{
"prc": 123,
"vol": 123
}
]
},
"trend": {
"buyUp": {
"symbol": "<string>",
"way": 123,
"vwapPrice": 123,
"totalValue": 123,
"totalVol": 123,
"tradeCount": 123
},
"sellDown": {
"symbol": "<string>",
"way": 123,
"vwapPrice": 123,
"totalValue": 123,
"totalVol": 123,
"tradeCount": 123
},
"buyUpPct": 123,
"sellDownPct": 123,
"gapValue": 123
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.oms.verolabs.co/llms.txt
Use this file to discover all available pages before exploring further.
Response
Symbol response wrapped in isSuccess/data envelope.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
⌘I
Get default VN30 spot symbol
curl --request GET \
--url https://api-gw.verolabs.co/api/v1/MarketData/GetVN30Spot{
"isSuccess": true,
"data": {
"symbol": "<string>",
"companyName": "<string>",
"sectorLvl1": "<string>",
"sectorLvl2": "<string>",
"sectorLvl3": "<string>",
"industryName": "<string>",
"logoId": "<string>",
"news": [
"<unknown>"
],
"sentiment": {
"bullish": 123,
"bullishPercent": 123,
"bullishTime": 123,
"bearish": 123,
"bearishPercent": 123,
"bearishTime": 123
},
"info": {
"id": "<string>",
"seq": 123,
"time": 123,
"symbol": "<string>",
"boardID": "<string>",
"nomiPrc": 123,
"ceilPrc": 123,
"floorPrc": 123,
"lsPrc": 123,
"lsVol": 123,
"openPrc": 123,
"closePrc": 123,
"highPrc": 123,
"lowPrc": 123,
"vWAP": 123,
"totVol": 123,
"totVal": 123,
"tradingSession": "<string>",
"openInterest": 123
},
"stat": {
"id": "<string>",
"symbol": "<string>",
"type": "<string>",
"lot": 123,
"minQty": 123,
"maxQty": 123,
"prcStep": 123,
"name": "<string>",
"productGroupID": "<string>",
"tickerCode": "<string>",
"symbolName": "<string>",
"underlyingSymbolCode": "<string>",
"expirationDate": "<string>",
"contractSize": 123
},
"depth": {
"seq": 123,
"time": 123,
"symbol": "<string>",
"boardID": "<string>",
"bidPriceDepth": [
{
"prc": 123,
"vol": 123
}
],
"askPriceDepth": [
{
"prc": 123,
"vol": 123
}
]
},
"trend": {
"buyUp": {
"symbol": "<string>",
"way": 123,
"vwapPrice": 123,
"totalValue": 123,
"totalVol": 123,
"tradeCount": 123
},
"sellDown": {
"symbol": "<string>",
"way": 123,
"vwapPrice": 123,
"totalValue": 123,
"totalVol": 123,
"tradeCount": 123
},
"buyUpPct": 123,
"sellDownPct": 123,
"gapValue": 123
}
}
}
